Package org.openni

# Enum Class PixelFormat

java.lang.Object
java.lang.Enum<PixelFormat>
org.openni.PixelFormat

All Implemented Interfaces:
  `Serializable`, `Comparable<PixelFormat>`, `Constable`

public enum PixelFormat extends Enum<PixelFormat>
Provides string names values for all pixel format type codes.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DEPTH_1_MM`
`DEPTH_100_UM`
`GRAY16`
`GRAY8`
`JPEG`
`RGB888`
`SHIFT_9_2`
`SHIFT_9_3`
`YUV422`
`YUYV`

## Method Summary

Modifier and Type
Method
Description
`static PixelFormat`
`fromNative(int value)`
`int`
`toNative()`
`static PixelFormat`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PixelFormat[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DEPTH_1_MM

public static final PixelFormat DEPTH_1_MM

### DEPTH_100_UM

public static final PixelFormat DEPTH_100_UM

### SHIFT_9_2

public static final PixelFormat SHIFT_9_2

### SHIFT_9_3

public static final PixelFormat SHIFT_9_3

### RGB888

public static final PixelFormat RGB888

### YUV422

public static final PixelFormat YUV422

### GRAY8

public static final PixelFormat GRAY8

### GRAY16

public static final PixelFormat GRAY16

### JPEG

public static final PixelFormat JPEG

### YUYV

public static final PixelFormat YUYV

## Method Details

### values

public static PixelFormat[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PixelFormat valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toNative

public int toNative()

### fromNative

public static PixelFormat fromNative(int value)